package com.palmnest.application.dto.output;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

import com.palmnest.model.emig.BillOperationRecodes;

public class WashOrderOutputDto implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -4426887589615216888L;
	private Long id;
	private String status;//订单状态  1已提交2已接单（已派单）3洗车中4已完成洗车5已转单6已取消
	private String orderNo;//订单编码
	private String orderContent;//订单内容
	private String createTime;//创建时间
	private String handleMen;//操作人姓名
	private String handleMenId;//操作人id
	private String handleMobile;//操作人电话号码
	private BigDecimal amount;//服务费用
	private String userName;//用户名
	private Long userId;//用户id
	private String mobile;//电话号码
	private String carNumber;//车牌号
	private String keySpace;//钥匙位置
	private String parkSpace;//车位
	private Integer isEvaluate;//是否评价
	private Integer isgetKey;//是否取钥匙
	private String comment;//是否评价
	private String impressionsName;//是否评价
	private Integer star;//星级
	private List<BillOperationDto> list;//操作记录
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getOrderNo() {
		return orderNo;
	}
	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}
	public String getOrderContent() {
		return orderContent;
	}
	public void setOrderContent(String orderContent) {
		this.orderContent = orderContent;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public String getHandleMen() {
		return handleMen;
	}
	public void setHandleMen(String handleMen) {
		this.handleMen = handleMen;
	}
	public String getHandleMenId() {
		return handleMenId;
	}
	public void setHandleMenId(String handleMenId) {
		this.handleMenId = handleMenId;
	}
	public BigDecimal getAmount() {
		return amount;
	}
	public void setAmount(BigDecimal amount) {
		this.amount = amount;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public Long getUserId() {
		return userId;
	}
	public void setUserId(Long userId) {
		this.userId = userId;
	}
	public String getMobile() {
		return mobile;
	}
	public void setMobile(String mobile) {
		this.mobile = mobile;
	}
	public String getCarNumber() {
		return carNumber;
	}
	public void setCarNumber(String carNumber) {
		this.carNumber = carNumber;
	}
	public Integer getIsEvaluate() {
		return isEvaluate;
	}
	public void setIsEvaluate(Integer isEvaluate) {
		this.isEvaluate = isEvaluate;
	}
	public List<BillOperationDto> getList() {
		return list;
	}
	public void setList(List<BillOperationDto> list) {
		this.list = list;
	}
	public String getHandleMobile() {
		return handleMobile;
	}
	public void setHandleMobile(String handleMobile) {
		this.handleMobile = handleMobile;
	}
	public String getKeySpace() {
		return keySpace;
	}
	public void setKeySpace(String keySpace) {
		this.keySpace = keySpace;
	}
	public String getParkSpace() {
		return parkSpace;
	}
	public void setParkSpace(String parkSpace) {
		this.parkSpace = parkSpace;
	}
	public String getComment() {
		return comment;
	}
	public void setComment(String comment) {
		this.comment = comment;
	}
	public String getImpressionsName() {
		return impressionsName;
	}
	public void setImpressionsName(String impressionsName) {
		this.impressionsName = impressionsName;
	}
	public Integer getStar() {
		return star;
	}
	public void setStar(Integer star) {
		this.star = star;
	}
	public Integer getIsgetKey() {
		return isgetKey;
	}
	public void setIsgetKey(Integer isgetKey) {
		this.isgetKey = isgetKey;
	}
	
	
}
